summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2006-10-14 02:17:57 +0000
committerZac Medico <zmedico@gentoo.org>2006-10-14 02:17:57 +0000
commit123e454e8fe862fd6d9e42a2f6c6451f75561ede (patch)
treeced28f1ba780ae384bdb13078bf35a17eba509b0 /bin/misc-functions.sh
parentFor bug #151238, fix --with-bdeps logic so that it works correctly with --onl... (diff)
downloadportage-multirepo-123e454e8fe862fd6d9e42a2f6c6451f75561ede.tar.gz
portage-multirepo-123e454e8fe862fd6d9e42a2f6c6451f75561ede.tar.bz2
portage-multirepo-123e454e8fe862fd6d9e42a2f6c6451f75561ede.zip
For bug #151146, don't use tar's --verbose option during the package phase since it doesn't work the same way anymore in tar-1.15.92 (new args have been tested with both gnu tar-1.15.92 and bsdtar-1.3.1-r1).
svn path=/main/trunk/; revision=4676
Diffstat (limited to 'bin/misc-functions.sh')
-rwxr-xr-xbin/misc-functions.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/misc-functions.sh b/bin/misc-functions.sh
index 95f4cf7a..b9205ded 100755
--- a/bin/misc-functions.sh
+++ b/bin/misc-functions.sh
@@ -357,7 +357,7 @@ dyn_package() {
# Sandbox is disabled in case the user wants to use a symlink
# for $PKGDIR and/or $PKGDIR/All.
export SANDBOX_ON="0"
- tar cpvf - ./ | bzip2 -f > "${pkg_tmp}" || die "Failed to create tarball"
+ tar -cf - . | bzip2 -f > "${pkg_tmp}" || die "Failed to create tarball"
cd ..
export PYTHONPATH=${PORTAGE_PYM_PATH:-/usr/lib/portage/pym}
python -c "import xpak; t=xpak.tbz2('${pkg_tmp}'); t.recompose('${PORTAGE_BUILDDIR}/build-info')"